Skip to main content

Create an enterprise authorization for a profile

POST 

/nevisidm/api/core/v1/:clientExtId/profiles/:profileExtId/eauthorizations

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.ProfileModify

Creates a new enterprise authorization for the profile with the given external ID within the specified client. The enterprise authorization links the profile to an enterprise role.

If no external ID is provided, one is generated automatically.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    profileExtId stringrequired

    External ID of the profile.

    Example: profile-123

Body

required
    extId string

    The external ID of the enterprise authorization. If not provided, one is generated automatically.

    enterpriseRoleExtId stringrequired

    Possible values: non-empty

    The external ID of the enterprise role to assign.

    validity object

    Describes the validity period of the authorization.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

Responses

Enterprise authorization created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...